Package Details: brscan2 0.2.5_1-1

Git Clone URL: https://aur.archlinux.org/brscan2.git (read-only, click to copy)
Package Base: brscan2
Description: SANE driver from Brother for brscan2 models
Upstream URL: http://support.brother.com
Licenses: GPL, custom:brother
Submitter: leidola
Maintainer: pmattern
Last Packager: pmattern
Votes: 37
Popularity: 0.000074
First Submitted: 2008-08-15 02:08
Last Updated: 2015-08-04 22:29

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Anonymous comment on 2014-03-05 23:57

Added dependency to libusb-compat.
This is necessary to detect the correct scanner.
Otherwise no scanner will be detected.

Anonymous comment on 2014-02-28 13:55

Modified the package to build correctly

yhager commented on 2014-02-06 13:38

I had to modify the PKGBUILD for this to work. Otherwise the resulting package contains no files.

--- PKGBUILD.1 2012-10-27 09:55:17.000000000 -0700
+++ PKGBUILD 2014-02-05 16:10:30.554751354 -0800
@@ -20,31 +20,32 @@
install="$pkgname.install"

build() {
- mkdir -p $startdir/src || return 1
- cd $startdir/src || return 1
- ar -x ../$_filename || return 1
- mkdir -p $startdir/pkg || return 1
- cd $startdir/pkg || return 1
- tar -xzf ../src/data.tar.gz || return 1
+ cd $srcdir
+ ar -x $_filename
+}

- # On x86_64, install in "/usr/lib" instead of "/usr/lib64"
- if [ "$CARCH" == "x86_64" ]; then
- cd usr || return 1
- mv lib64 lib || return 1
- # some links are wrong now - recreate them
- for fn in lib/libbrcolm2.so.1.0.1 \
- lib/libbrscandec2.so.1.0.0 \
- lib/sane/libsane-brother2.so.1.0.7
- do
- # break, if file does not exist
- if [ ! -f $fn ] ; then
- echo "ERROR: $fn does not exist"
- return 1
- fi
- base=`echo $fn | cut -d. -f1`.so
- major=`echo $fn | cut -d. -f3`
- ln -sf `basename $fn` $base || return 1
- ln -sf `basename $fn` $base.$major || return 1
- done
- fi
-}
\ No newline at end of file
+package() {
+ cd $pkgdir
+ tar -xzf $srcdir/data.tar.gz || return 1
+
+ # On x86_64, install in "/usr/lib" instead of "/usr/lib64"
+ if [ "$CARCH" == "x86_64" ]; then
+ cd usr || return 1
+ mv lib64 lib || return 1
+ # some links are wrong now - recreate them
+ for fn in lib/libbrcolm2.so.1.0.1 \
+ lib/libbrscandec2.so.1.0.0 \
+ lib/sane/libsane-brother2.so.1.0.7
+ do
+ # break, if file does not exist
+ if [ ! -f $fn ] ; then
+ echo "ERROR: $fn does not exist"
+ return 1
+ fi
+ base=`echo $fn | cut -d. -f1`.so
+ major=`echo $fn | cut -d. -f3`
+ ln -sf `basename $fn` $base || return 1
+ ln -sf `basename $fn` $base.$major || return 1
+ done
+ fi
+}

flokli commented on 2013-12-30 15:16

@nomisge

You can apply the changes as you described, or delete the whole line.

I tested it on x86_64.

What is needed to get the correct version into AUR?

nomisge commented on 2013-10-30 13:58

@ archlinuxomane

I would not put a "/" before "usr" and than run makepkg as root. It would screw up your system!
Rather put a "$srcdir/" before "usr" and run makepkg as regular user. Or just delete the line, since we're already in the correct dir.

I didn't test this part though, since I have a 32bit system.

archlinuxomane commented on 2013-07-17 15:26

@nomisge

Thanks for the package. You symlink creation for x64 systems has a typo near line 39:
||#On x86_64, install in "/usr/lib" instead of "/usr/lib64"
|| if [ "$CARCH" == "x86_64" ]; then
|| cd usr || return 1

has a "/" missing in before "usr"

It should be noted that your symlink script won't work unless makepkg is started as root.

nomisge commented on 2013-07-14 12:30

I'd like to share an update of the package. It installs in /opt/brother rather than in /usr/local/Brother and comes with patch and .install.
You can inspect the code under following url:

https://www.dropbox.com/s/vl90w8w6fpu2jjr/brscan2-0.2.5-2.src.tar.gz

Please let me know what you think.

cookiewhispers commented on 2013-06-06 23:56

Don't use $srcdir as this is the reason for the empty package.
Instead use $srcdir and $pkgdir.

Here is a PATCH:
http://pastebin.com/8eN4a9UA

--- PKGBUILD 2012-09-01 20:29:38.000000000 +0200
+++ PKGBUILD-fixed 2013-06-07 01:20:18.579236435 +0200
@@ -20,12 +20,12 @@
install="$pkgname.install"

build() {
- mkdir -p $startdir/src || return 1
- cd $startdir/src || return 1
- ar -x ../$_filename || return 1
- mkdir -p $startdir/pkg || return 1
- cd $startdir/pkg || return 1
- tar -xzf ../src/data.tar.gz || return 1
+ mkdir -p $srcdir || return 1
+ cd $srcdir || return 1
+ ar -x $_filename || return 1
+ mkdir -p $pkgdir || return 1
+ cd $pkgdir || return 1
+ tar -xzf $srcdir/data.tar.gz || return 1

# On x86_64, install in "/usr/lib" instead of "/usr/lib64"
if [ "$CARCH" == "x86_64" ]; then

cookiewhispers commented on 2013-06-06 23:53

Don't use $startdir as this is the reason for the empty package. Instead use $srcdir and $pkgdir.

Here is a patch:

--- PKGBUILD 2012-09-01 20:29:38.000000000 +0200
+++ PKGBUILD-fixed 2013-06-07 01:20:18.579236435 +0200
@@ -20,12 +20,12 @@
install="$pkgname.install"

build() {
- mkdir -p $startdir/src || return 1
- cd $startdir/src || return 1
- ar -x ../$_filename || return 1
- mkdir -p $startdir/pkg || return 1
- cd $startdir/pkg || return 1
- tar -xzf ../src/data.tar.gz || return 1
+ mkdir -p $srcdir || return 1
+ cd $srcdir || return 1
+ ar -x $_filename || return 1
+ mkdir -p $pkgdir || return 1
+ cd $pkgdir || return 1
+ tar -xzf $srcdir/data.tar.gz || return 1

# On x86_64, install in "/usr/lib" instead of "/usr/lib64"
if [ "$CARCH" == "x86_64" ]; then

Rachus commented on 2013-05-20 18:09

Thanks progandy, this package seems to work flawlessly. But nevertheless it would be nice to have the AUR package fixed, because then also AUR helper could build it.